Bug 169509 - [new ports] net-mgmt/netmagis-common etc.: a complete application which aims to simplify operation of a network
[new ports] net-mgmt/netmagis-common etc.: a complete application which aims ...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 07:40 UTC by Pierre DAVID
Modified: 2012-10-30 20:37 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre DAVID 2012-06-28 07:40:07 UTC
In short: Netmagis is a new software (announce follows).
Ports are available for FreeBSD on http://netmagis.org/download.html (development is done with https://github.com/pdav/netmagis/tree/master/pkg/freebsd).

These 8 ports (7 slaves and 1 master) may be added to the FreeBSD ports tree, in the net-mgmt category.

Pierre David

----------------------------------------------------------------------------------

We are proud to announce the release 2.1.0 of Netmagis.
 
Netmagis (NETwork Management Information System) is a complete
application which aims to simplify operation of a network. Netmagis
is an open-source software.
 
More specifically, it allows a network administrator to:
    - manage IPv4 and IPv6 addresses;
    - generate data for a DNS server and get BIND zone files always
        up to date and consistant;
    - delegate DNS management to other network administrators or
        every non-specialist of DNS management;
    - specify groups of users and very fine access privileges on
        addresses, on domains, etc;
    - manage DHCP allocations (both static or dynamic) with profiles
        to parametrize network boot;
    - use your existing LDAP directory to manage accounts, or manage
        accounts with the Netmagis database;
    - manage a large number of networks, users domains, DHCP profiles,
        etc.;
    - visualize with automatically generated network maps your
        network topology (switched or routed);
    - give access on these maps to users;
    - assign VLAN to equipment interfaces via a simple Web interface
        (for Cisco, HP or Juniper equipments);
    - delegate VLAN assignment to other network administrators or
        every non-specialist of equipment management;
    - access to traffic graphs that you have specified on your
        equipments;
    - locate hosts by IP address, MAC address or network equipement
        port.

Netmagis is available on http://netmagis.org/

FreeBSD ports and Debian/Ubuntu packages are also available on
http://netmagis.org. See installation instructions.

Pierre David & Jean Benoit & S?bastien Boggia

Fix: 

http://netmagis.org/download.html
Comment 1 Chris Rees freebsd_committer 2012-07-16 18:26:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

These are complicated and break a few rules, but I'll see what I can do 
with them :)
Comment 2 Chris Rees freebsd_committer 2012-10-10 19:32:41 UTC
Responsible Changed
From-To: crees->freebsd-ports-bugs

To my shame I've neglected this.  I'm really sorry about that.
Comment 3 Chris Rees freebsd_committer 2012-10-24 17:51:48 UTC
State Changed
From-To: open->feedback

Are you happy with these changes? 

http://www.bayofrum.net/~crees/patches/netmagis-nits.diff 

If so, I'll commit them as-is now, they're in much better shape than 
before-- well done! 


Comment 4 Chris Rees freebsd_committer 2012-10-24 17:51:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I have some more time currently
Comment 5 utisoft 2012-10-29 13:28:46 UTC
Hi Pierre,

This patch makes the ports ready to commit, literally when I get your approval.

I've had to stop building packages for -metro and -www, because the
PostgreSQL dependencies become very complex. Once the default
PostgreSQL version is moved up, we can build packages again, but
they'll always be available from ports.

Is it all OK?

Chris

http://www.bayofrum.net/~crees/patches/netmagis-changes.diff
Comment 6 Chris Rees freebsd_committer 2012-10-30 20:37:23 UTC
State Changed
From-To: feedback->closed

New ports added, with minor changes.  Thanks!